Skip to main content
GET
/
companies
/
{companyId}
/
latest-valuation
Get Latest Valuation for a Company
curl --request GET \
  --url https://app.tryspecter.com/api/v1/companies/{companyId}/latest-valuation \
  --header 'X-API-Key: <api-key>'
{
  "id": "5f3a2b1c4d5e6f7a8b9c0d1e",
  "company_name": "Stripe",
  "domain": "stripe.com",
  "est_valuation_usd": 10000000,
  "latest_valuation_reported_usd": 10000000,
  "latest_valuation_reported_date": "2022-08-19",
  "est_valuation_growth_1m_pct": 4.05,
  "est_valuation_growth_3m_pct": 11.59,
  "est_valuation_growth_6m_pct": 18.46,
  "est_valuation_growth_1y_pct": 43.55,
  "est_valuation_growth_2y_pct": 50
}

Authorizations

X-API-Key
string
header
required

Path Parameters

companyId
string
required

The Specter company ID.

Response

The valuation figures for the matched company.

Latest valuation figures and estimated valuation growth for a single company. Every field is null when the company is found but has no valuation data on file. Growth values are percentages (e.g. 4.05 = +4.05%) and can be negative.

id
string

The Specter company ID of the matched company.

Example:

"5f3a2b1c4d5e6f7a8b9c0d1e"

company_name
string

The name of the matched company.

Example:

"Stripe"

domain
string

The domain of the matched company.

Example:

"stripe.com"

est_valuation_usd
integer | null

Latest estimated post-money valuation, in USD.

Example:

10000000

latest_valuation_reported_usd
integer | null

Latest reported post-money valuation, in USD.

Example:

10000000

latest_valuation_reported_date
string<date> | null

Date (YYYY-MM-DD) of the latest reported post-money valuation.

Example:

"2022-08-19"

est_valuation_growth_1m_pct
number | null

1-month growth in estimated post-money valuation, as a percentage.

Example:

4.05

est_valuation_growth_3m_pct
number | null

3-month growth in estimated post-money valuation, as a percentage.

Example:

11.59

est_valuation_growth_6m_pct
number | null

6-month growth in estimated post-money valuation, as a percentage.

Example:

18.46

est_valuation_growth_1y_pct
number | null

1-year growth in estimated post-money valuation, as a percentage.

Example:

43.55

est_valuation_growth_2y_pct
number | null

2-year growth in estimated post-money valuation, as a percentage.

Example:

50